## brewtarget 3.0.6

=== CMakeLists.txt ===
#
# CMakeLists.txt is part of Brewtarget, and is Copyright the following
# authors 2009-2022
#  - Chris Pavetto <chrispavetto@gmail.com>
#  - Dan Cavanagh <dan@dancavanagh.com>
#  - Daniel Moreno <danielm5@users.noreply.github.com>
#  - Daniel Pettersson <pettson81@gmail.com>
#  - Kregg Kemper <gigatropolis@yahoo.com>
#  - Matt Young <mfsy@yahoo.com>
#  - Maxime Lavigne (malavv) <duguigne@gmail.com>
#  - Mik Firestone <mikfire@gmail.com>
#  - Philip Greggory Lee <rocketman768@gmail.com>
#  - Robby Workman <rworkman@slackware.com>
#  - Théophane Martin <theophane.m@gmail.com>
#
# Brewtarget is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Brewtarget is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

#
# Creates a Makefile in the build directory, from where you can do builds and installs.
#
# NOTE: cmake . -DCMAKE_INSTALL_PREFIX=/tmp/blah && make DESTDIR=/foo
# will install to /foo/tmp/blah.
#
# See also - src/CMakeLists.txt
#          - QtDesignerPlugins/CMakeLists.txt
#
# Standard make targets:
#   * make                  -  Regenerate the makefile if necessary and compile the source code.  (On Linux, also
#                              converts the markdown list of changes (CHANGES.markdown) to Debian package format
#                              changelog.)
#
#                              NB: Other make targets will NOT regenerate the makefile from this CMakeLists.txt file.
#                              That means that, if you make a change that affects "make package" or "make clean" etc,
#                              you must run "make" before you run "make package" or "make clean" etc, otherwise your
#                              change will not be picked up.  (If necessary, you can interrupt the build that "make"
#                              kicks off, as, by that point, the makefile will be updated.)
#
#   * make clean            -  Delete compiled objects so next build starts from scratch
#   * sudo make install     -  Install locally
#   * make test             -  Run unit tests via CTest
#   * make package          -  Makes .deb, .rpm, NSIS Installer, and .tar.bz2 binary packages.  (TBD What about Mac?)
#
#                              On Linux, after make package, it's one of the following to install, if you want to
#                              install from the package rather than direct from the build tree (with sudo make install).
#                              (This would typically be for installing the package on a different machine then where the
#                              build was done.)
#                                 $ sudo dpkg -i brewtarget*.deb
#                                 $ sudo rpm -i brewtarget*.rpm
#
#                              On Mac and Windows environments, the `package` target will create an installer
#                              that may be executed to finish the installation.
#
#   * make package_source   -  Makes a .tar.bz2 source package.
#
# Custom make targets:
#   * make plugins          -  Builds the Qt Designer plugins
#   * make source_doc       -  Makes Doxygen HTML documentation of the source in doc/html
#   * make install-data
#   * make install-runtime
#   * make package_lint     -  Runs lintian and rpmlint on packages
#
#
# CMake options
#   * CMAKE_INSTALL_PREFIX  - /usr/local by default. Set this to /usr on Debian-based systems like Ubuntu.
#   * DO_RELEASE_BUILD      - OFF by default. If ON, will do a release build. Otherwise, debug build.
#   * NO_MESSING_WITH_FLAGS - OFF by default. ON means do not add any build flags whatsoever. May override other options.
# NOTE: You need to run CMake to change the options (you can't change them just by running make, not even by running
# make clean.  Eg, in the build directory, run the following to switch to debug builds:
#     cmake -DDO_RELEASE_BUILD=OFF ..
#

# Uncomment the next line for slightly verbose build output
# Alternatively, for very verbose output, invoke make as follows:
#    $ make VERBOSE=1
#
#set(CMAKE_VERBOSE_MAKEFILE ON)

#=======================================================================================================================
#================================================= CMake Configuration =================================================
#=======================================================================================================================
cmake_minimum_required(VERSION 3.16)
cmake_policy(VERSION 3.16)
# Ensure we are using modern behaviour of the project command (introduced in CMake 3.0) which enables setting version
# numbers via it (rather than manually setting individual major/minor/patch vars).
cmake_policy(SET CMP0048 NEW)

#=======================================================================================================================
#================================================ Other preliminaries =================================================
#=======================================================================================================================
# Set the target binary architecture for targets on macOS
if(APPLE AND NOT CMAKE_OSX_ARCHITECTURES)
   # Per https://cmake.org/cmake/help/latest/variable/CMAKE_OSX_ARCHITECTURES.html, "the value of this variable should
   # be set prior to the first project() or enable_language() command invocation because it may influence configuration
   # of the toolchain and flags".
   set(CMAKE_OSX_ARCHITECTURES x86_64) # Build intel 64-bit binary.
   #set(CMAKE_OSX_ARCHITECTURES i386 x86_64) # Build intel binary.
   #set(CMAKE_OSX_ARCHITECTURES ppc i386 ppc64 x86_64) # Build universal binary.
endif()

#=======================================================================================================================
#============================================== Project name and Version ===============================================
#=======================================================================================================================
# It's simplest to keep the project name all lower-case as it means we can use a lot more of the default settings for
# Linux packaging (where directory names etc are expected to be all lower-case)
project(brewtarget VERSION 3.0.6 LANGUAGES CXX)
message(STATUS "Building ${PROJECT_NAME} version ${PROJECT_VERSION}")
message(STATUS "PROJECT_SOURCE_DIR is ${PROJECT_SOURCE_DIR}")
# Sometimes we do need the capitalised version of the project name
set(capitalisedProjectName Brewtarget)

#=======================================================================================================================
#======================================================= Options =======================================================
#=======================================================================================================================
option(DO_RELEASE_BUILD "If on, will do a release build. Otherwise, debug build." OFF)
option(NO_MESSING_WITH_FLAGS "On means do not add any build flags whatsoever. May override other options." OFF)

#=======================================================================================================================
#===================================================== Directories =====================================================
#=======================================================================================================================

#================================================== Source directories =================================================
#
# ${repoDir}                   = the directory containing this (CMakeLists.txt) file
# ${repoDir}/src               = C++ source code (with the exception of Qt Designer Plugins)
# ${repoDir}/QtDesignerPlugins = Qt Designer Plugins
# ${repoDir}/ui                = QML UI layout files
# ${repoDir}/data              = Binary files, including sounds and default database
# ${repoDir}/translations      = Translated texts
# ${repoDir}/mac               = Mac-specific files (desktop icon)
# ${repoDir}/win               = Windows-specific files (desktop icon)
# ${repoDir}/packaging         = Packaging-related config
#
set(repoDir "${CMAKE_CURRENT_SOURCE_DIR}")

# AFAICT this is used only in cmake/modules/NSIS.template.in
set(WINDIR "${repoDir}/win")

# Location of custom CMake modules. (At the moment, there is only one, which is used for Windows packaging
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

#================================================= Install directories =================================================
# Note that WIN32 is true "when the target system is Windows, including Win64" (see
# https://cmake.org/cmake/help/latest/variable/WIN32.html), so this is ALL versions of Windows, not just 32-bit.
# UNIX is true when the "the target system is UNIX or UNIX-like", so it is set when we're building for Mac and for
# Linux.  There is a separate flag (APPLE) when we're building for Mac, but, AFAICT, no specific flag for Linux.
#
if(UNIX AND NOT APPLE)
   #============================================= Linux Install Directories ============================================
   # By default, CMAKE_INSTALL_PREFIX is:
   #   - /usr/local                           on Linux (& Mac)
   #   - c:/Program Files/${PROJECT_NAME}     on Windows
   #
   # On a lot of Linux distros, including Debian and derived systems (such as Ubuntu), it's more normal for pretty much
   # all user-installed apps to go in /usr/bin rather than /usr/local/bin, so CMAKE_INSTALL_PREFIX can be overridden on
   # the command line via "--prefix usr"
   #
   # (See http://lists.busybox.net/pipermail/busybox/2010-December/074114.html for a great, albeit slightly depressing,
   # explanation of why there are so many places for binaries to live on Unix/Linux systems.  FWIW, the current
   # "standards" for Linux are at https://refspecs.linuxfoundation.org/fhs.shtml but these are open to interpretation.)
   #
   # .:TBD: We also allow -DEXEC_PREFIX=/usr (used in .github/workflows/linux-ubuntu.yml) but I'm not sure if this is
   #        needed or could be replaced by "--prefix usr"
   #
   # Debian standard directories.
   if(NOT EXEC_PREFIX)
      set(EXEC_PREFIX ${CMAKE_INSTALL_PREFIX})
   endif()

   set(installSubDir_data         "share/${CMAKE_PROJECT_NAME}")
   set(installSubDir_doc          "share/doc/${CMAKE_PROJECT_NAME}")
   set(installSubDir_bin          "bin")
   # According to https://specifications.freedesktop.org/menu-spec/menu-spec-1.0.html#paths, .desktop files need to live
   # in one of the $XDG_DATA_DIRS/applications/.  (Note that $XDG_DATA_DIRS is a colon-separated list of directories, typically
   # defaulting to /usr/local/share/:/usr/share/. but on another system it might be
   # /usr/share/plasma:/usr/local/share:/usr/share:/var/lib/snapd/desktop:/var/lib/snapd/desktop).  When combined with
   # CMAKE_INSTALL_PREFIX, "share/applications" should end up being one of these.
   set(installSubDir_applications "share/applications")
   # It's a similar but slightly more complicated story for where to put icons.  (See
   # https://specifications.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html#directory_layout for all the
   # details.)
   set(installSubDir_icons        "share/icons")

elseif(WIN32)
   #============================================ Windows Install Directories ===========================================

=== QtDesignerPlugins/CMakeLists.txt ===
#
# QtDesignerPlugins/CMakeLists.txt is part of Brewtarget, and is Copyright the following
# authors 2009-2022
#  - Matt Young <mfsy@yahoo.com>
#  - Philip Greggory Lee <rocketman768@gmail.com>
#
# Brewtarget is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Brewtarget is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

#
# NB: This file is included from ../CMakeLists.txt
#
# Here, we just list all the .cpp files needed to compile our Qt Designer plugins
#
set(filesToCompile_pluginsCpp
   ${repoDir}/QtDesignerPlugins/BrewtargetPlugins.cpp
   ${repoDir}/QtDesignerPlugins/IbuGuSliderPlugin.cpp
   ${repoDir}/QtDesignerPlugins/StyleRangeWidgetPlugin.cpp
   ${repoDir}/src/IbuGuSlider.cpp
   ${repoDir}/src/RangedSlider.cpp
   ${repoDir}/src/StyleRangeWidget.cpp
)

=== src/CMakeLists.txt ===
#
# src/CMakeLists.txt is part of Brewtarget, and is Copyright the following
# authors 2009-2022:
#  - Aidan Roberts <aidanr67@gmail.com>
#  - Daniel Moreno <danielm5@users.noreply.github.com>
#  - Mark de Wever <koraq@xs4all.nl>
#  - Mattias Måhl <mattias@kejsarsten.com>
#  - Matt Young<mfsy@yahoo.com>
#  - Maxime Lavigne <duguigne@gmail.com>
#  - Mik Firestone <mikfire@gmail.com>
#  - Philip Greggory Lee <rocketman768@gmail.com>
#  - Ryan Hoobler <rhoob@yahoo.com>
#  - Théophane Martin <theophane.m@gmail.com>
#
# Brewtarget is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Brewtarget is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# See also ../CMakeLists.txt, which is the master CMake file from which this one gets included
#

#
# Variable that contains all the .cpp files in this project.
#
# You can recreate the body of this list by running the following from the bash prompt in the build directory:
#    find ../src -name '*.cpp' | sort  | sed 's+^../src+    ${repoDir}/src+' | grep -v Testing.cpp | grep -v main.cpp
#
# It is tempting to ask ourselves why we don't have CMake figure out this list itself.  Well, according to the
# documentation (https://cmake.org/cmake/help/latest/command/file.html#filesystem) "We do not recommend using GLOB to
# collect a list of source files from your source tree. If no CMakeLists.txt file changes when a source is added or
# removed then the generated build system cannot know when to ask CMake to regenerate."
#
set(filesToCompile_cpp
    ${repoDir}/src/AboutDialog.cpp
    ${repoDir}/src/AlcoholTool.cpp
    ${repoDir}/src/Algorithms.cpp
    ${repoDir}/src/AncestorDialog.cpp
    ${repoDir}/src/Application.cpp
    ${repoDir}/src/BeerColorWidget.cpp
    ${repoDir}/src/boiltime.cpp
    ${repoDir}/src/BrewDayFormatter.cpp
    ${repoDir}/src/BrewDayScrollWidget.cpp
    ${repoDir}/src/BrewNoteWidget.cpp
    ${repoDir}/src/BtColor.cpp
    ${repoDir}/src/BtDatePopup.cpp
    ${repoDir}/src/BtDigitWidget.cpp
    ${repoDir}/src/BtFieldType.cpp
    ${repoDir}/src/BtFolder.cpp
    ${repoDir}/src/BtLabel.cpp
    ${repoDir}/src/BtLineEdit.cpp
    ${repoDir}/src/BtSplashScreen.cpp
    ${repoDir}/src/BtTabWidget.cpp
    ${repoDir}/src/BtTextEdit.cpp
    ${repoDir}/src/BtTreeFilterProxyModel.cpp
    ${repoDir}/src/BtTreeItem.cpp
    ${repoDir}/src/BtTreeModel.cpp
    ${repoDir}/src/BtTreeView.cpp
    ${repoDir}/src/ConverterTool.cpp
    ${repoDir}/src/CustomComboBox.cpp
    ${repoDir}/src/database/BtSqlQuery.cpp
    ${repoDir}/src/database/Database.cpp
    ${repoDir}/src/database/DatabaseSchemaHelper.cpp
    ${repoDir}/src/database/DbTransaction.cpp
    ${repoDir}/src/database/ObjectStore.cpp
    ${repoDir}/src/database/ObjectStoreTyped.cpp
    ${repoDir}/src/EquipmentButton.cpp
    ${repoDir}/src/EquipmentEditor.cpp
    ${repoDir}/src/EquipmentListModel.cpp
    ${repoDir}/src/FermentableDialog.cpp
    ${repoDir}/src/FermentableEditor.cpp
    ${repoDir}/src/FermentableSortFilterProxyModel.cpp
    ${repoDir}/src/HeatCalculations.cpp
    ${repoDir}/src/HopDialog.cpp
    ${repoDir}/src/HopEditor.cpp
    ${repoDir}/src/HopSortFilterProxyModel.cpp
    ${repoDir}/src/Html.cpp
    ${repoDir}/src/HydrometerTool.cpp
    ${repoDir}/src/IbuGuSlider.cpp
    ${repoDir}/src/InstructionWidget.cpp
    ${repoDir}/src/InventoryFormatter.cpp
    ${repoDir}/src/Localization.cpp
    ${repoDir}/src/Logging.cpp
    ${repoDir}/src/MainWindow.cpp
    ${repoDir}/src/MashButton.cpp
    ${repoDir}/src/MashComboBox.cpp
    ${repoDir}/src/MashDesigner.cpp
    ${repoDir}/src/MashEditor.cpp
    ${repoDir}/src/MashListModel.cpp
    ${repoDir}/src/MashStepEditor.cpp
    ${repoDir}/src/MashStepTableWidget.cpp
    ${repoDir}/src/MashWizard.cpp
    ${repoDir}/src/matrix.cpp
    ${repoDir}/src/measurement/Amount.cpp
    ${repoDir}/src/measurement/ColorMethods.cpp
    ${repoDir}/src/measurement/IbuMethods.cpp
    ${repoDir}/src/measurement/Measurement.cpp
    ${repoDir}/src/measurement/PhysicalQuantity.cpp
    ${repoDir}/src/measurement/SucroseConversion.cpp
    ${repoDir}/src/measurement/SystemOfMeasurement.cpp
    ${repoDir}/src/measurement/Unit.cpp
    ${repoDir}/src/measurement/UnitSystem.cpp
    ${repoDir}/src/MiscDialog.cpp
    ${repoDir}/src/MiscEditor.cpp
    ${repoDir}/src/MiscSortFilterProxyModel.cpp
    ${repoDir}/src/model/BrewNote.cpp
    ${repoDir}/src/model/Equipment.cpp
    ${repoDir}/src/model/Fermentable.cpp
    ${repoDir}/src/model/Hop.cpp
    ${repoDir}/src/model/Instruction.cpp
    ${repoDir}/src/model/Inventory.cpp
    ${repoDir}/src/model/Mash.cpp
    ${repoDir}/src/model/MashStep.cpp
    ${repoDir}/src/model/Misc.cpp
    ${repoDir}/src/model/NamedEntity.cpp
    ${repoDir}/src/model/NamedEntityWithInventory.cpp
    ${repoDir}/src/model/NamedParameterBundle.cpp
    ${repoDir}/src/model/Recipe.cpp
    ${repoDir}/src/model/Salt.cpp
    ${repoDir}/src/model/Style.cpp
    ${repoDir}/src/model/Water.cpp
    ${repoDir}/src/model/Yeast.cpp
    ${repoDir}/src/NamedEntitySortProxyModel.cpp
    ${repoDir}/src/NamedMashEditor.cpp
    ${repoDir}/src/OgAdjuster.cpp
    ${repoDir}/src/OptionDialog.cpp
    ${repoDir}/src/PersistentSettings.cpp
    ${repoDir}/src/PitchDialog.cpp
    ${repoDir}/src/PreInstruction.cpp
    ${repoDir}/src/PrimingDialog.cpp
    ${repoDir}/src/PrintAndPreviewDialog.cpp
    ${repoDir}/src/RadarChart.cpp
    ${repoDir}/src/RangedSlider.cpp
    ${repoDir}/src/RecipeExtrasWidget.cpp
    ${repoDir}/src/RecipeFormatter.cpp
    ${repoDir}/src/RefractoDialog.cpp
    ${repoDir}/src/ScaleRecipeTool.cpp
    ${repoDir}/src/SimpleUndoableUpdate.cpp
    ${repoDir}/src/StrikeWaterDialog.cpp
    ${repoDir}/src/StyleButton.cpp
    ${repoDir}/src/StyleEditor.cpp
    ${repoDir}/src/StyleListModel.cpp
    ${repoDir}/src/StyleRangeWidget.cpp
    ${repoDir}/src/StyleSortFilterProxyModel.cpp
    ${repoDir}/src/tableModels/BtTableModel.cpp
    ${repoDir}/src/tableModels/BtTableModelInventory.cpp
    ${repoDir}/src/tableModels/FermentableTableModel.cpp
    ${repoDir}/src/tableModels/HopTableModel.cpp
    ${repoDir}/src/tableModels/MashStepTableModel.cpp
    ${repoDir}/src/tableModels/MiscTableModel.cpp
    ${repoDir}/src/tableModels/SaltTableModel.cpp
    ${repoDir}/src/tableModels/WaterTableModel.cpp
    ${repoDir}/src/tableModels/YeastTableModel.cpp
    ${repoDir}/src/TimerListDialog.cpp
    ${repoDir}/src/TimerMainDialog.cpp
    ${repoDir}/src/TimerWidget.cpp
    ${repoDir}/src/UiAmountWithUnits.cpp
    ${repoDir}/src/utils/BtException.cpp
    ${repoDir}/src/utils/BtStringConst.cpp
    ${repoDir}/src/utils/BtStringStream.cpp
    ${repoDir}/src/utils/EnumStringMapping.cpp
    ${repoDir}/src/utils/ImportRecordCount.cpp
    ${repoDir}/src/utils/TimerUtils.cpp
    ${repoDir}/src/WaterButton.cpp
    ${repoDir}/src/WaterDialog.cpp
    ${repoDir}/src/WaterEditor.cpp
    ${repoDir}/src/WaterListModel.cpp
    ${repoDir}/src/WaterSortFilterProxyModel.cpp
    ${repoDir}/src/WaterTableWidget.cpp
    ${repoDir}/src/widgets/Animator.cpp
    ${repoDir}/src/widgets/SelectionControl.cpp
    ${repoDir}/src/widgets/ToggleSwitch.cpp
    ${repoDir}/src/widgets/UnitAndScalePopUpMenu.cpp
    ${repoDir}/src/xml/BeerXml.cpp
    ${repoDir}/src/xml/BtDomErrorHandler.cpp
    ${repoDir}/src/xml/XercesHelpers.cpp
    ${repoDir}/src/xml/XmlCoding.cpp
    ${repoDir}/src/xml/XmlMashRecord.cpp
    ${repoDir}/src/xml/XmlMashStepRecord.cpp
    ${repoDir}/src/xml/XmlRecipeRecord.cpp
    ${repoDir}/src/xml/XmlRecord.cpp
    ${repoDir}/src/YeastDialog.cpp
    ${repoDir}/src/YeastEditor.cpp
    ${repoDir}/src/YeastSortFilterProxyModel.cpp
)

=== debian/changelog ===
brewtarget (3.0.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:46 +1100

brewtarget (3.0.6-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:59:56 +0000

brewtarget (3.0.6-1) unstable; urgency=medium

  * New upstream version 3.0.6

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-bug-tracking
  * Fix day-of-week for changelog entry 2.0.1-1.
    Changes-By: lintian-brush
    Fixes: lintian: debian-changelog-has-wrong-day-of-week
  * Set upstream metadata fields: Repository.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-missing-repository

  [ Dr. Tobias Quathamer ]
  * Fix lintian warning about not closing bugs
  * Make the build reproducible.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>
    (Closes: #1024396)
  * Disable Link Time Optimization (LTO). (LP: #2004076)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 28 Feb 2023 13:40:54 +0100

=== debian/control ===
Source: brewtarget
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost1.74-dev,
               libqt5multimedia5-plugins,
               libqt5svg5-dev,
               libxalan-c-dev,
               libxerces-c-dev,
               qtbase5-dev,
               qtmultimedia5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://www.brewtarget.org
Vcs-Git: https://salsa.debian.org/debian/brewtarget.git
Vcs-Browser: https://salsa.debian.org/debian/brewtarget

Package: brewtarget
Architecture: any
Depends: libqt5multimedia5-plugins,
         libqt5sql5-sqlite,
         libqt5svg5,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GUI beer brewing software
 Brewtarget is a calculator for brewing beer. It is a Qt-based program which
 allows you to create recipes from a database of ingredients. It calculates all
 the important parameters, helps you with mash temperatures, and just makes the
 process of recipe formulation much easier.

## brewtarget 3.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # CMakeLists.txt is part of Brewtarget, and is Copyright the following
-# authors 2009-2022
+# authors 2009-2024
 #  - Chris Pavetto <chrispavetto@gmail.com>
 #  - Dan Cavanagh <dan@dancavanagh.com>
 #  - Daniel Moreno <danielm5@users.noreply.github.com>
@@ -27,6 +27,13 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
+# ⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐
+# NB: Meson and the `bt` build tool Python script are now the primary way of building and packaging the software.  You
+#     can also still CMake to compile the product and install it locally, but we no longer support using CMake to do
+#     packaging.  (Over time the intention is to remove packaging-specific code from this script, not least as it does
+#     not work properly on Mac and Windows.)
+# ⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐
+
 #
 # Creates a Makefile in the build directory, from where you can do builds and installs.
 #
@@ -50,27 +57,12 @@
 #   * make clean            -  Delete compiled objects so next build starts from scratch
 #   * sudo make install     -  Install locally
 #   * make test             -  Run unit tests via CTest
-#   * make package          -  Makes .deb, .rpm, NSIS Installer, and .tar.bz2 binary packages.  (TBD What about Mac?)
-#
-#                              On Linux, after make package, it's one of the following to install, if you want to
-#                              install from the package rather than direct from the build tree (with sudo make install).
-#                              (This would typically be for installing the package on a different machine then where the
-#                              build was done.)
-#                                 $ sudo dpkg -i brewtarget*.deb
-#                                 $ sudo rpm -i brewtarget*.rpm
-#
-#                              On Mac and Windows environments, the `package` target will create an installer
-#                              that may be executed to finish the installation.
-#
-#   * make package_source   -  Makes a .tar.bz2 source package.
 #
 # Custom make targets:
 #   * make plugins          -  Builds the Qt Designer plugins
 #   * make source_doc       -  Makes Doxygen HTML documentation of the source in doc/html
 #   * make install-data
 #   * make install-runtime
-#   * make package_lint     -  Runs lintian and rpmlint on packages
-#
 #
 # CMake options
 #   * CMAKE_INSTALL_PREFIX  - /usr/local by default. Set this to /usr on Debian-based systems like Ubuntu.
@@ -113,8 +105,8 @@
 #============================================== Project name and Version ===============================================
 #=======================================================================================================================
 # It's simplest to keep the project name all lower-case as it means we can use a lot more of the default settings for
-# Linux packaging (where directory names etc are expected to be all lower-case)
-project(brewtarget VERSION 3.0.6 LANGUAGES CXX)
+# Linux packaging (where directory names etc are expected to be all lower-case).
+project(brewtarget VERSION 3.0.11 LANGUAGES CXX)
 message(STATUS "Building ${PROJECT_NAME} version ${PROJECT_VERSION}")
 message(STATUS "PROJECT_SOURCE_DIR is ${PROJECT_SOURCE_DIR}")
 # Sometimes we do need the capitalised version of the project name
@@ -143,9 +135,6 @@
 # ${repoDir}/packaging         = Packaging-related config
 #
 set(repoDir "${CMAKE_CURRENT_SOURCE_DIR}")
-
-# AFAICT this is used only in cmake/modules/NSIS.template.in
-set(WINDIR "${repoDir}/win")
 
 # Location of custom CMake modules. (At the moment, there is only one, which is used for Windows packaging
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")
@@ -194,4 +183,14 @@
 
 elseif(WIN32)
    #============================================ Windows Install Directories ===========================================
+   set(installSubDir_data "data")
+   set(installSubDir_doc  "doc")
+   set(installSubDir_bin  "bin")
+elseif(APPLE)
+   #============================================== Mac Install Directories =============================================
+   set(installSubDir_data "Contents/Resources")
+   set(installSubDir_doc  "Contents/Resources/en.lproj")
+   set(installSubDir_bin  "Contents/MacOS")
+endif()
 
+#=======================================================================================================================

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # src/CMakeLists.txt is part of Brewtarget, and is Copyright the following
-# authors 2009-2022:
+# authors 2009-2023:
 #  - Aidan Roberts <aidanr67@gmail.com>
 #  - Daniel Moreno <danielm5@users.noreply.github.com>
 #  - Mark de Wever <koraq@xs4all.nl>
@@ -52,11 +52,9 @@
     ${repoDir}/src/BrewNoteWidget.cpp
     ${repoDir}/src/BtColor.cpp
     ${repoDir}/src/BtDatePopup.cpp
-    ${repoDir}/src/BtDigitWidget.cpp
     ${repoDir}/src/BtFieldType.cpp
     ${repoDir}/src/BtFolder.cpp
-    ${repoDir}/src/BtLabel.cpp
-    ${repoDir}/src/BtLineEdit.cpp
+    ${repoDir}/src/BtHorizontalTabs.cpp
     ${repoDir}/src/BtSplashScreen.cpp
     ${repoDir}/src/BtTabWidget.cpp
     ${repoDir}/src/BtTextEdit.cpp
@@ -101,6 +99,7 @@
     ${repoDir}/src/matrix.cpp
     ${repoDir}/src/measurement/Amount.cpp
     ${repoDir}/src/measurement/ColorMethods.cpp
+    ${repoDir}/src/measurement/ConstrainedAmount.cpp
     ${repoDir}/src/measurement/IbuMethods.cpp
     ${repoDir}/src/measurement/Measurement.cpp
     ${repoDir}/src/measurement/PhysicalQuantity.cpp
@@ -162,13 +161,13 @@
     ${repoDir}/src/TimerListDialog.cpp
     ${repoDir}/src/TimerMainDialog.cpp
     ${repoDir}/src/TimerWidget.cpp
-    ${repoDir}/src/UiAmountWithUnits.cpp
     ${repoDir}/src/utils/BtException.cpp
     ${repoDir}/src/utils/BtStringConst.cpp
     ${repoDir}/src/utils/BtStringStream.cpp
     ${repoDir}/src/utils/EnumStringMapping.cpp
     ${repoDir}/src/utils/ImportRecordCount.cpp
     ${repoDir}/src/utils/TimerUtils.cpp
+    ${repoDir}/src/utils/TypeLookup.cpp
     ${repoDir}/src/WaterButton.cpp
     ${repoDir}/src/WaterDialog.cpp
     ${repoDir}/src/WaterEditor.cpp
@@ -177,6 +176,11 @@
     ${repoDir}/src/WaterTableWidget.cpp
     ${repoDir}/src/widgets/Animator.cpp
     ${repoDir}/src/widgets/SelectionControl.cpp
+    ${repoDir}/src/widgets/SmartAmounts.cpp
+    ${repoDir}/src/widgets/SmartDigitWidget.cpp
+    ${repoDir}/src/widgets/SmartField.cpp
+    ${repoDir}/src/widgets/SmartLabel.cpp
+    ${repoDir}/src/widgets/SmartLineEdit.cpp
     ${repoDir}/src/widgets/ToggleSwitch.cpp
     ${repoDir}/src/widgets/UnitAndScalePopUpMenu.cpp
     ${repoDir}/src/xml/BeerXml.cpp

=== debian/changelog ===
brewtarget (3.0.11-1) unstable; urgency=medium

  * New upstream version 3.0.11
    - Refresh patch
  * Switch to unversioned libboost-dev for Build-Depends. (Closes: #1065305)
  * Add missing Build-Depends on libboost-stacktrace-dev
  * Update d/copyright
  * Update to Standards-Version 4.6.2, no changes needed
  * Update location of brewtarget.desktop in d/install
  * Use wrap-and-sort -at

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 02 Apr 2024 20:35:45 +0200

=== debian/control ===
Source: brewtarget
Section: misc
Priority: optional
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-dev,
               libboost-stacktrace-dev,
               libqt5multimedia5-plugins,
               libqt5svg5-dev,
               libxalan-c-dev,
               libxerces-c-dev,
               qtbase5-dev,
               qtmultimedia5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://www.brewtarget.org
Vcs-Git: https://salsa.debian.org/debian/brewtarget.git
Vcs-Browser: https://salsa.debian.org/debian/brewtarget

Package: brewtarget
Architecture: any
Depends: libqt5multimedia5-plugins,
         libqt5sql5-sqlite,
         libqt5svg5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: GUI beer brewing software
 Brewtarget is a calculator for brewing beer. It is a Qt-based program which
 allows you to create recipes from a database of ingredients. It calculates all
 the important parameters, helps you with mash temperatures, and just makes the
 process of recipe formulation much easier.
